package org.jeecg.modules.projectManagement.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @ClassName FdBioanalysisSampleMilestonesItemsTree
 * @Author 谷瑞
 * @Description //TODO
 * @Date 2019/6/21 9:25
 **/


public class FdBioanalysisSampleMilestonesItemsTree implements Serializable {

    private static final long serialVersionUID = 1L;

    private String key;

    private String value;

    private String title;
    /**
     * 是否叶子节点
     */
    private boolean isLeaf;

    private List<FdBioanalysisSampleMilestonesItemsTree> children = new ArrayList<>();


    /**
     * 主键
     */
    private java.lang.String id;
    /**
     * 生物分析样本里程碑d
     */
    private java.lang.String pkBioanalysisSampleMilestones;
    //里程碑模板项id
    private String pkBioanalysisSampleMilestonesItemId;
    /**
     * 编码/序号
     */
    private java.lang.String code;
    /**
     * 里程碑描述
     */
    private java.lang.String description;
    /**
     * 权重
     */
    private java.lang.String weight;
    /**
     * 排序
     */
    private java.lang.String sort;
    /**
     * 预计开始时间
     */
    private java.util.Date estimateStartTime;
    /**
     * 预计完成时间
     */
    private java.util.Date estimateEndTime;
    /**
     * 实际开始时间
     */
    private java.util.Date actualStartTime;
    /**
     * 实际完成时间
     */
    private java.util.Date actualEndTime;
    /**
     * 是否关键节点0否1是
     */
    private java.lang.String isKeypoint;
    private boolean isKeypointBoolean;
    /**
     * 是否付款里程碑
     */
    private java.lang.String isPayMilestones;
    private boolean isPayMilestonesBoolean;
    /**
     * 合同付款节点id
     */
    private java.lang.String pkContractClause;
    /**
     * 付款节点名称
     */
    private java.lang.String contractClauseDescription;
    /**
     * 是否上传文档
     */
    private java.lang.String isUploadFile;
    private boolean isUploadFileBoolean;
    /**
     * 预计工时
     */
    private java.math.BigDecimal estimateDays;
    /**
     * 父节点
     */
    private java.lang.String parentId;
    /**
     * 所有父节点
     */
    private java.lang.String parentIds;
    /**
     * 版本号
     */
    private java.lang.String version;
    /**
     * 删除标记0正常1删除
     */
    private java.lang.String delFlag;
    /**
     * 创建人
     */
    private java.lang.String createBy;
    /**
     * 创建时间
     */
    private java.util.Date createTime;
    /**
     * 最后修改人
     */
    private java.lang.String updateBy;
    /**
     * 最后修改时间
     */
    private java.util.Date updateTime;
    /**
     * 备注
     */
    private java.lang.String memo;

    private boolean isPayMilestonesBoo;
    private boolean isUploadFileBoo;
    /**项目进度*/
    private java.lang.String projectProgress;
    /**完成时间差异*/
    private String completionTimeDifference;

    //模板id
    private String templateId;

    //是否录入到收入确认明细
    private Integer isInputIncome;

    //归属确认月份
    private String monthIncome;

    //生物分析明细名称
    private String quotationBiologicalDetailsName;

    public FdBioanalysisSampleMilestonesItemsTree() { }

    public FdBioanalysisSampleMilestonesItemsTree(FdBioanalysisSampleMilestonesItems fdBioanalysisSampleMilestonesItems) {
        this.key = fdBioanalysisSampleMilestonesItems.getId();
        this.value = fdBioanalysisSampleMilestonesItems.getId();
        this.title = fdBioanalysisSampleMilestonesItems.getCode();
        this.id = fdBioanalysisSampleMilestonesItems.getId();
        this.pkBioanalysisSampleMilestones = fdBioanalysisSampleMilestonesItems.getPkBioanalysisSampleMilestones();
        this.pkBioanalysisSampleMilestonesItemId=fdBioanalysisSampleMilestonesItems.getPkBioanalysisSampleMilestonesItemId();
        this.code = fdBioanalysisSampleMilestonesItems.getCode();
        this.description = fdBioanalysisSampleMilestonesItems.getDescription();
        this.weight = fdBioanalysisSampleMilestonesItems.getWeight();
        this.sort = fdBioanalysisSampleMilestonesItems.getSort();
        this.estimateStartTime = fdBioanalysisSampleMilestonesItems.getEstimateStartTime();
        this.estimateEndTime = fdBioanalysisSampleMilestonesItems.getEstimateEndTime();
        this.actualStartTime = fdBioanalysisSampleMilestonesItems.getActualStartTime();
        this.actualEndTime = fdBioanalysisSampleMilestonesItems.getActualEndTime();
        this.isKeypoint = fdBioanalysisSampleMilestonesItems.getIsKeypoint();
        this.isPayMilestones = fdBioanalysisSampleMilestonesItems.getIsPayMilestones();
        this.pkContractClause = fdBioanalysisSampleMilestonesItems.getPkContractClause();
        this.contractClauseDescription = fdBioanalysisSampleMilestonesItems.getContractClauseDescription();
        this.isUploadFile = fdBioanalysisSampleMilestonesItems.getIsUploadFile();
        this.estimateDays = fdBioanalysisSampleMilestonesItems.getEstimateDays();
        this.parentId = fdBioanalysisSampleMilestonesItems.getParentId();
        this.parentIds = fdBioanalysisSampleMilestonesItems.getParentIds();
        this.version = fdBioanalysisSampleMilestonesItems.getVersion();
        this.delFlag = fdBioanalysisSampleMilestonesItems.getDelFlag();
        this.createBy = fdBioanalysisSampleMilestonesItems.getCreateBy();
        this.createTime = fdBioanalysisSampleMilestonesItems.getCreateTime();
        this.updateBy = fdBioanalysisSampleMilestonesItems.getUpdateBy();
        this.updateTime = fdBioanalysisSampleMilestonesItems.getUpdateTime();
        this.memo = fdBioanalysisSampleMilestonesItems.getMemo();
        this.templateId=fdBioanalysisSampleMilestonesItems.getTemplateId();
        this.projectProgress=fdBioanalysisSampleMilestonesItems.getProjectProgress();
        this.completionTimeDifference=fdBioanalysisSampleMilestonesItems.getCompletionTimeDifference();
        this.isInputIncome=fdBioanalysisSampleMilestonesItems.getIsInputIncome();
        this.monthIncome=fdBioanalysisSampleMilestonesItems.getMonthIncome();
        this.quotationBiologicalDetailsName=fdBioanalysisSampleMilestonesItems.getQuotationBiologicalDetailsName();
    }

    public String getQuotationBiologicalDetailsName() {
        return quotationBiologicalDetailsName;
    }

    public void setQuotationBiologicalDetailsName(String quotationBiologicalDetailsName) {
        this.quotationBiologicalDetailsName = quotationBiologicalDetailsName;
    }

    public Integer getIsInputIncome() {
        return isInputIncome;
    }

    public void setIsInputIncome(Integer isInputIncome) {
        this.isInputIncome = isInputIncome;
    }

    public String getMonthIncome() {
        return monthIncome;
    }

    public void setMonthIncome(String monthIncome) {
        this.monthIncome = monthIncome;
    }

    public String getProjectProgress() {
        return projectProgress;
    }

    public void setProjectProgress(String projectProgress) {
        this.projectProgress = projectProgress;
    }

    public String getCompletionTimeDifference() {
        return completionTimeDifference;
    }

    public void setCompletionTimeDifference(String completionTimeDifference) {
        this.completionTimeDifference = completionTimeDifference;
    }

    public boolean isKeypointBoolean() {
        return isKeypointBoolean;
    }

    public void setKeypointBoolean(boolean keypointBoolean) {
        isKeypointBoolean = keypointBoolean;
    }

    public boolean isPayMilestonesBoolean() {
        return isPayMilestonesBoolean;
    }

    public void setPayMilestonesBoolean(boolean payMilestonesBoolean) {
        isPayMilestonesBoolean = payMilestonesBoolean;
    }

    public boolean isUploadFileBoolean() {
        return isUploadFileBoolean;
    }

    public void setUploadFileBoolean(boolean uploadFileBoolean) {
        isUploadFileBoolean = uploadFileBoolean;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public boolean isPayMilestonesBoo() {
        return isPayMilestonesBoo;
    }

    public void setPayMilestonesBoo(boolean payMilestonesBoo) {
        isPayMilestonesBoo = payMilestonesBoo;
    }

    public boolean isUploadFileBoo() {
        return isUploadFileBoo;
    }

    public void setUploadFileBoo(boolean uploadFileBoo) {
        isUploadFileBoo = uploadFileBoo;
    }

    public String getPkBioanalysisSampleMilestonesItemId() {
        return pkBioanalysisSampleMilestonesItemId;
    }

    public void setPkBioanalysisSampleMilestonesItemId(String pkBioanalysisSampleMilestonesItemId) {
        this.pkBioanalysisSampleMilestonesItemId = pkBioanalysisSampleMilestonesItemId;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }


    public List<FdBioanalysisSampleMilestonesItemsTree> getChildren() {
        return children;
    }

    public void setChildren(List<FdBioanalysisSampleMilestonesItemsTree> children) {
        if (children == null) {
            this.isLeaf = true;
        }
        this.children = children;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPkBioanalysisSampleMilestones() {
        return pkBioanalysisSampleMilestones;
    }

    public void setPkBioanalysisSampleMilestones(String pkBioanalysisSampleMilestones) {
        this.pkBioanalysisSampleMilestones = pkBioanalysisSampleMilestones;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public Date getEstimateStartTime() {
        return estimateStartTime;
    }

    public void setEstimateStartTime(Date estimateStartTime) {
        this.estimateStartTime = estimateStartTime;
    }

    public Date getEstimateEndTime() {
        return estimateEndTime;
    }

    public void setEstimateEndTime(Date estimateEndTime) {
        this.estimateEndTime = estimateEndTime;
    }

    public Date getActualStartTime() {
        return actualStartTime;
    }

    public void setActualStartTime(Date actualStartTime) {
        this.actualStartTime = actualStartTime;
    }

    public Date getActualEndTime() {
        return actualEndTime;
    }

    public void setActualEndTime(Date actualEndTime) {
        this.actualEndTime = actualEndTime;
    }

    public String getIsKeypoint() {
        return isKeypoint;
    }

    public void setIsKeypoint(String isKeypoint) {
        this.isKeypoint = isKeypoint;
    }

    public String getIsPayMilestones() {
        return isPayMilestones;
    }

    public void setIsPayMilestones(String isPayMilestones) {
        this.isPayMilestones = isPayMilestones;
    }

    public String getPkContractClause() {
        return pkContractClause;
    }

    public void setPkContractClause(String pkContractClause) {
        this.pkContractClause = pkContractClause;
    }

    public String getContractClauseDescription() {
        return contractClauseDescription;
    }

    public void setContractClauseDescription(String contractClauseDescription) {
        this.contractClauseDescription = contractClauseDescription;
    }

    public String getIsUploadFile() {
        return isUploadFile;
    }

    public void setIsUploadFile(String isUploadFile) {
        this.isUploadFile = isUploadFile;
    }

    public BigDecimal getEstimateDays() {
        return estimateDays;
    }

    public void setEstimateDays(BigDecimal estimateDays) {
        this.estimateDays = estimateDays;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentIds() {
        return parentIds;
    }

    public void setParentIds(String parentIds) {
        this.parentIds = parentIds;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}
